Skip to main content
POST
/
data
/
projects
Create project
curl --request POST \
  --url https://acusight.io/api/data/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "data": {
    "created_at": "<string>",
    "description": "<string>",
    "id": 123,
    "name": "<string>",
    "project_type": "<string>",
    "updated_at": "<string>"
  },
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Body

application/json

Project creation payload

name
string
required
project_type
enum<string>
required
Available options:
object_detection,
instance_segmentation
description
string

Response

Project created

data
object
error
object
meta
object
success
boolean